# lovegui.py
# GUI version of Love-o-matic.py

# Import the Tk gui-making features
# from Tkinter import *

# if you are using Python 2, uncomment out the previous line
# and comment out the following line
from tkinter import *


# function definition for the button
def submit():
    num1 = 0
    num2 = 0
    message = ""
    
    # get numerical values from the names 
    name1 = name1_ent.get()
    name2 = name2_ent.get()
    if  name1 !="" and name2 !="":
        for i in range(len(name1)):
            num1 += ord(name1[i])
            for i in range(len(name2)):
                num2 += ord(name2[i])

        # calculate the result
        if num1 > num2:
            result = str(int((100/num1)* num2)) 
        else:
            result = str(int((100/num2)* num1))

        # construct the message string
        message = name1.title() + " and " + name2.title() + " are " + result + "% compatible."
    
    # insist on two names
    else: 
        message = "I need two names!"
    
    # clear the box and print the message
    txt.delete(0.0, END)
    txt.insert(0.0, message)

# create the "root" window - within which 
# everything else will be built.
root = Tk()
root.title("Love-o-matic")
root.geometry("400x200")
app = Frame(root)
app.grid()

# setting up the GUI
# top label
lbl = Label(app, text = "Welcome to Love-o-matic!")
lbl.grid(row = 0, column = 1, pady = 5)
# labels and text entry
name1_lbl = Label(app, text = "First person's name:")
name1_lbl.grid(row = 1, column = 0, pady = 5, sticky = W)
name1_ent = Entry(app)
name1_ent.grid(row = 1, column = 1, pady = 5, sticky = W)

name2_lbl = Label(app, text = "Second person's name:")
name2_lbl.grid(row = 2, column = 0, pady = 5, sticky = W)
name2_ent = Entry(app)
name2_ent.grid(row= 2, column = 1, pady = 5, sticky = W)

# make a button
bttn = Button(app, text = "Calculate")
bttn["command"] = submit
bttn.grid(row = 3, column = 1, pady = 5)  

# make a text box
txt = Text(app, width = 35, height = 2)
txt.grid(row = 4, column = 0, columnspan = 2, pady = 5, sticky = E)

# Start the main-loop (like in a game).
root.mainloop()
